Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.adapters
Class StaticFactoryAdapter<T>

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.gems.adapters.StaticFactoryAdapter<T>

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentAdapter<T>, org.picocontainer.ComponentMonitorStrategy

    public final class StaticFactoryAdapter<T>

extends org.picocontainer.adapters.AbstractAdapter<T>

Component adapter that wrapps a static factory with the help of `StaticFactory`.

Author:
  Jörg Schaible, Leo Simmons
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`StaticFactoryAdapter(Class<T> type, StaticFactory<T> staticFactory)` Construct a ComponentAdapter accessing a static factory creating the component.
`StaticFactoryAdapter(Object componentKey, Class<T> type, StaticFactory<T> staticFactory)` Construct a ComponentAdapter accessing a static factory creating the component using a special key for addComponent registration.

Method Summary
`T` | `getComponentInstance(org.picocontainer.PicoContainer container, Type into)`
`String` | `getDescriptor()`
`void` | `verify(org.picocontainer.PicoContainer container)`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`accept, changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticFactoryAdapter

    public StaticFactoryAdapter(Class<T> type,
                                StaticFactory<T> staticFactory)

  Construct a ComponentAdapter accessing a static factory creating the component.

  Parameters:
    `type` - The type of the created component.
    `staticFactory` - Wrapper instance for the static factory.

### StaticFactoryAdapter

    public StaticFactoryAdapter(Object componentKey,
                                Class<T> type,
                                StaticFactory<T> staticFactory)

  Construct a ComponentAdapter accessing a static factory creating the component using a special key for addComponent registration.

  Parameters:
    `componentKey` - The key of the created component.
    `type` - The type of the created component.
    `staticFactory` - Wrapper instance for the static factory.

Method Detail

### getComponentInstance

    public T getComponentInstance(org.picocontainer.PicoContainer container,
                                  Type into)
                           throws org.picocontainer.PicoCompositionException

  Returns:
    Returns the component created by the static factory.
  Throws:
    `org.picocontainer.PicoCompositionException`
  See Also:
    `org.picocontainer.ComponentAdapter#getComponentInstance(org.picocontainer.PicoContainer, java.lang.Class into)`

### verify

    public void verify(org.picocontainer.PicoContainer container)
                throws org.picocontainer.PicoVerificationException

  Throws:
    `org.picocontainer.PicoVerificationException`
  See Also:
    `ComponentAdapter.verify(org.picocontainer.PicoContainer)`

### getDescriptor

    public String getDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.